.RecentlyViewed {
    padding: 50px 0;

    &-List {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-auto-rows: max-content;
        grid-column-gap: 1rem;

        @include tablet {
            grid-template-columns: repeat(3, 1fr);
        }

        @include mobile {
            border: 0;
            grid-template-columns: 1fr 1fr;
        }

        @include after-mobile {
            margin-top: 1rem;
            grid-column: 2;
        }

        // remove margin from top to other pages
        ~ .CategoryProductList-Page {
            @include after-mobile {
                margin-top: 0;
            }
        }
    }

    &-Header {
        width: 66%;
        margin: 10px 0 20px;
        font-family: $font-rifton;

        @include mobile {
            width: 100%;
        }

        .Home-RecentlyViewed & {
            font-size: 48px;

            @include mobile {
                font-size: 28px;
            }
        }
    }

    &-Item {
        width: 320px;
        padding: 0 32px 0 0;

        @include mobile {
            max-width: 172px;
            padding: 0 16px 0 0;
        }

        &:first-child {
            margin-left: 96px;

            @include mobile {
                margin-left: initial;
            }
        }

        .ProductCard {
            margin: 0;
        }
    }

    &-Arrow {
        width: 64px;
        height: 64px;
        position: absolute;
        top: calc(50% - 32px);
        z-index: 1;
        background-color: $white;
        cursor: pointer;

        @include mobile {
            display: none;
        }

        &::before {
            display: inline-block;
            width: 10px;
            height: 18px;
            position: absolute;
            top: calc(50% - 9px);
            left: calc(50% - 5px);
            content: url('../../style/images/arrow_grey.svg');
        }

        &_left {
            left: 0;

            &::before {
                transform: rotate(180deg);
            }
        }

        &_right {
            right: 0;
        }

        &Wrapper_hidden {
            display: none;
        }
    }

    &-Carousel {
        padding: 0 0 60px;

        @include mobile {
            padding: 0;
        }

        .RecentlyViewed-Header {
            display: inline-block;
            margin: 15px 0 38px 96px;

            @include mobile {
                margin: 15px 0;
                font-size: 20px;
            }

            @include tablet {
                margin: 15px 0 38px 0
            }
        }
    }

    &-ListingButton {
        padding: 0 0 11px;
        border-bottom: 1px solid $black;
        margin: 17px 96px 0 10px;
        float: right;
        color: $black;
        font-size: 14px;

        @include before-desktop {
            display: none;
            font-size: 12px;

            .Home-RecentlyViewed & {
                display: block;
                border: none;
                margin: 8px 0;
                float: none;
                text-align: right;

                span {
                    border-bottom: 1px solid $black;
                }
            }
        }
    }
}

.Home-RecentlyViewed {
    @include mobile {
        margin-bottom: 40px;
    }
}

.prm {
    .RecentlyViewed {
        &-Header {
            font-family: 'Work Sans', sans-serif;
            font-size: 32px;
            font-weight: normal;
            line-height: 48px;
        }
    }
}
